<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="frm4_Headers.aspx.cs" Inherits="smtp_aspnet_csharp.frm4_Headers" ValidateRequest="false" EnableEventValidation="false" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
  <head>
    <script src="main.js" type="text/javascript"></script>
    <title><%=PAGE_TITLE%></title>
    <meta name=vs_defaultClientScript content="JavaScript">
    <meta name=vs_targetSchema content="http://schemas.microsoft.com/intellisense/ie5">
    <link href="styles.css" type="text/css" rel="stylesheet">
  </head>

  <body>
    <a href="index.html">&lt;&lt; Return to index page</a>
    <p class=hd><%=PAGE_TITLE%></p>
    <form id="frmMain" method="post" runat="server" onsubmit="SelectAll(document.all.lstAttachments); SelectAll(document.all.lstCustomHeaders);">
    <table cellpadding=0 cellspacing=5>
    <tr><td valign=top>
    <table cellpadding=3 cellspacing=0>
      <tr><td align=right>Server</td><td><asp:textbox id="txtServer" cssclass="txt" runat=server /></td></tr>

      <tr><th colspan=2>Authentication settings</th></tr>
      <tr><td class=tdtl align=right>Authentication Type</td>
        <td class=tdtr><asp:dropdownlist id="ddlAuthenticationType" cssclass="ddl" runat=server autopostback=true OnSelectedIndexChanged="ddlAuthenticationType_SelectedIndexChanged" /></td></tr>

      <tr><td class=tdl align=right>Username</td><td class=tdr><asp:textbox id="txtUsername" cssclass="txt" runat=server enabled=false /></td></tr>
      <tr><td class=tdl align=right>Password</td><td class=tdr><asp:textbox id="txtPassword" cssclass="txt" runat=server enabled=false /></td></tr>
      <tr><td class=tdbl align=right>POPServer</td><td class=tdbr><asp:textbox id="txtPOPServer" cssclass="txt" runat=server enabled=false /></td></tr>

      <tr><td align=right></td><td><asp:CheckBox id="chkSSL" runat=server /> Secure session (use SSL/TLS)</td></tr>

      <tr><th colspan=2>Sender and extra headers</th></tr>
      <tr><td class=tdtl align=right>Mail From</td><td class=tdtr><asp:textbox id="txtMailFrom" cssclass="txt" runat=server /></td></tr>
      <tr><td class=tdl align=right>Expires After</td><td class=tdr><asp:textbox id="txtExpiresAfter" cssclass="txt" runat=server /></td></tr>
      <tr><td class=tdl align=right>Importance</td><td class=tdr><asp:dropdownlist id="ddlImportance" cssclass="ddl" runat=server /></td></tr>
      <tr><td class=tdl align=right>Notification</td><td class=tdr><asp:dropdownlist id="ddlNotification" cssclass="ddl" runat=server /></td></tr>
      <tr><td class=tdl align=right>Reply To</td><td class=tdr><asp:textbox id="txtReplyTo" cssclass="txt" runat=server /></td></tr>
      <tr><td class=tdl align=right>Sensitivity</td><td class=tdr><asp:dropdownlist id="ddlSensitivity" cssclass="ddl" runat=server /></td></tr>
      <tr><td class=tdbl align=right>TimeStamp</td><td class=tdbr><asp:textbox id="txtTimeStamp" cssclass="txt" runat=server /></td></tr>

      <tr><th colspan=2>Custom Headers</th></tr>
      <tr><td class=tda colspan=2 align=center>
        <asp:listbox id="lstCustomHeaders" cssclass="lst" runat=server rows="5" selectionmode=multiple /><br>
        <input type=button onclick="AddCustomHeader();" value="Add" class="btn"> 
        <input type=button onclick="DelCustomHeader();" value="Delete" class="btn"></td></tr>
    </table>
    </td><td valign=top>
    <table cellpadding=3 cellspacing=0>
      <tr><th colspan=2>Recipients</th></tr>
      <tr><td class=tdtl align=right>Send To</td><td class=tdtr><asp:textbox id="txtSendTo" cssclass="txt" runat=server /></td></tr>
      <tr><td class=tdl align=right>BCC</td><td class=tdr><asp:textbox id="txtBCC" cssclass="txt" runat=server /></td></tr>
      <tr><td class=tdbl align=right>CC</td><td class=tdbr><asp:textbox id="txtCC" cssclass="txt" runat=server /></td></tr>

      <tr><th colspan=2>Message</th></tr>
      <tr><td class=tdtl align=right>Message Subject</td><td class=tdtr><asp:textbox id="txtMessageSubject" cssclass="txt" runat=server /></td></tr>
      <tr><td class=tdl align=right>Message Text</td><td class=tdr><asp:textbox id="txtMessageText" cssclass="txt" textmode=multiline rows=5 runat=server /></td></tr>
      <tr><td class=tdl align=right>Charset</td><td class=tdr><asp:textbox id="txtCharset" cssclass="txt" runat=server /></td></tr>
      <tr><td class=tdl align=right>Content Transfer Encoding</td><td class=tdr><asp:textbox id="txtContentTransferEncoding" cssclass="txt" runat=server /></td></tr>
      <tr><td class=tdbl align=right>Content Type</td><td class=tdbr><asp:textbox id="txtContentType" cssclass="txt" runat=server /></td></tr>

      <tr><th colspan=2>Attachments</th></tr>
      <tr><td class=tda colspan=2 align=center>
        <asp:listbox id="lstAttachments" cssclass="lst" runat=server rows="5" selectionmode=multiple /><br>
        <input type=button onclick="AddAttachment();" value="Add" class="btn"> 
        <input type=button onclick="DelAttachment();" value="Delete" class="btn"></td></tr>

      <tr><td colspan=2 align=center><br><input type=submit name="btnSendEmail" value="Send Email" class="btn"></td></tr>
    </table>
    </td></tr>
    </table>
    </form>

  </body>
</html>
