<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="frm7_Embedded.aspx.cs" Inherits="smtp_aspnet_csharp.frm7_Embedded" ValidateRequest="false" EnableEventValidation="false" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
  <head>
    <script src="main.js" type="text/javascript"></script>
    <title><%=PAGE_TITLE%></title>
    <meta name=vs_defaultClientScript content="JavaScript">
    <meta name=vs_targetSchema content="http://schemas.microsoft.com/intellisense/ie5">
    <link href="styles.css" type="text/css" rel="stylesheet">
    <script language=javascript type="text/javascript">
    function GenerateHTML() {
        var o = document.all.lstEmbeddedObjects.options; 

        var s = '<html><body>' + 'embedded image test<br>\r\n';
        for (var i = 0; i < o.length; i++) {
            s += '<p>' + o[i].innerText + '<br>\r\n';
            s += '<img src="cid:' + o[i].value + '"></p>\r\n';
        }
        s += '</body></html>';
        document.all.txtMessageHTML.innerText = s
    }
    </script>
  </head>

  <body>
    <a href="index.html">&lt;&lt; Return to index page</a>
    <p class=hd><%=PAGE_TITLE%></p>
    <form id="frmMain" method="post" runat="server" onsubmit="SelectAll(document.all.lstEmbeddedObjects);">
    <table cellpadding=3 cellspacing=0>
      <tr><td align=right>Server</td><td><asp:textbox id="txtServer" cssclass="txt" runat=server /></td></tr>

      <tr><th colspan=2>Authentication settings</th></tr>
      <tr><td class=tdtl align=right>Authentication Type</td>
        <td class=tdtr><asp:dropdownlist id="ddlAuthenticationType" cssclass="ddl" runat=server autopostback=true OnSelectedIndexChanged="ddlAuthenticationType_SelectedIndexChanged" /></td></tr>

      <tr><td class=tdl align=right>Username</td><td class=tdr><asp:textbox id="txtUsername" cssclass="txt" runat=server enabled=false /></td></tr>
      <tr><td class=tdl align=right>Password</td><td class=tdr><asp:textbox id="txtPassword" cssclass="txt" runat=server enabled=false /></td></tr>
      <tr><td class=tdbl align=right>POPServer</td><td class=tdbr><asp:textbox id="txtPOPServer" cssclass="txt" runat=server enabled=false /></td></tr>

      <tr><td align=right></td><td><asp:CheckBox id="chkSSL" runat=server /> Secure session (use SSL/TLS)</td></tr>

      <tr><td align=right>Mail From</td><td><asp:textbox id="txtMailFrom" cssclass="txt" runat=server /></td></tr>
      <tr><td align=right>Send To</td><td><asp:textbox id="txtSendTo" cssclass="txt" runat=server /></td></tr>
      <tr><td align=right>Message Subject</td><td><asp:textbox id="txtMessageSubject" cssclass="txt" runat=server /></td></tr>
      <tr><td align=right>Message HTML</td><td><asp:textbox id="txtMessageHTML" cssclass="txt" textmode=multiline rows=5 runat=server /></td></tr>

      <tr><th colspan=2>Embedded Objects</th></tr>
      <tr><td class=tda colspan=2 align=center>
        <asp:listbox id="lstEmbeddedObjects" cssclass="lst" runat=server rows="5" selectionmode=multiple /><br>
        <input type=button onclick="AddEmbeddedObject();" value="Add" class="btn"> 
        <input type=button onclick="DelEmbeddedObject();" value="Delete" class="btn"></td></tr>

      <tr><td colspan=2 align=center><input type=submit name="btnSendEmail" value="Send Email" class="btn"></td></tr>
    </table>
    <input type=button onclick="GenerateHTML();" id="btnRefresh" style="display: none;">
    </form>

  </body>
</html>
