using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Net;
using System.IO;

namespace smtp_csharp
{
  public class frm6_HTML : System.Windows.Forms.Form
  {

    private OSSMTP.SMTPSession oSMTP;
    internal System.Windows.Forms.GroupBox GroupBox1;
    internal System.Windows.Forms.Label Label10;
    internal System.Windows.Forms.Label Label7;
    internal System.Windows.Forms.TextBox txtPOPServer;
    internal System.Windows.Forms.Label Label8;
    internal System.Windows.Forms.TextBox txtPassword;
    internal System.Windows.Forms.Label Label9;
    internal System.Windows.Forms.TextBox txtUsername;
    internal System.Windows.Forms.ComboBox ddlAuthenticationType;
    internal System.Windows.Forms.Label Label6;
    internal System.Windows.Forms.TextBox txtStatus;
    internal System.Windows.Forms.Label Label5;
    internal System.Windows.Forms.TextBox txtMessageText;
    internal System.Windows.Forms.Label Label4;
    internal System.Windows.Forms.TextBox txtMessageSubject;
    internal System.Windows.Forms.Label Label3;
    internal System.Windows.Forms.TextBox txtSendTo;
    internal System.Windows.Forms.Label Label2;
    internal System.Windows.Forms.TextBox txtMailFrom;
    internal System.Windows.Forms.Label Label1;
    internal System.Windows.Forms.TextBox txtServer;
    internal System.Windows.Forms.Button btnSendEmail;
    internal System.Windows.Forms.Button btnLoadFromURL;
    internal System.Windows.Forms.Button btnLoadFromFile;
    internal System.Windows.Forms.Label Label11;
    internal System.Windows.Forms.TextBox txtMessageHTML;
    internal System.Windows.Forms.OpenFileDialog dlg;
    internal System.Windows.Forms.TextBox txtURL;
    internal System.Windows.Forms.Button btnOK;
    internal System.Windows.Forms.Button btnCancel;
    internal System.Windows.Forms.GroupBox grpURL;
      private CheckBox chkUseSSL;

    private System.ComponentModel.Container components = null;

    public frm6_HTML()
    {
      InitializeComponent();

      this.oSMTP = new OSSMTP.SMTPSession();
      this.oSMTP.ErrorSMTP += new OSSMTP.__SMTPSession_ErrorSMTPEventHandler(this.oSMTP_ErrorSMTP);
      this.oSMTP.StatusChanged += new OSSMTP.__SMTPSession_StatusChangedEventHandler(this.oSMTP_StatusChanged);
    }

    protected override void Dispose( bool disposing )
    {
      if( disposing )
      {
        if (components != null) 
        {
          components.Dispose();
        }
      }
      base.Dispose( disposing );
    }

    #region Windows Form Designer generated code
    private void InitializeComponent()
    {
        this.GroupBox1 = new System.Windows.Forms.GroupBox();
        this.Label10 = new System.Windows.Forms.Label();
        this.Label7 = new System.Windows.Forms.Label();
        this.txtPOPServer = new System.Windows.Forms.TextBox();
        this.Label8 = new System.Windows.Forms.Label();
        this.txtPassword = new System.Windows.Forms.TextBox();
        this.Label9 = new System.Windows.Forms.Label();
        this.txtUsername = new System.Windows.Forms.TextBox();
        this.ddlAuthenticationType = new System.Windows.Forms.ComboBox();
        this.Label6 = new System.Windows.Forms.Label();
        this.txtStatus = new System.Windows.Forms.TextBox();
        this.Label5 = new System.Windows.Forms.Label();
        this.txtMessageText = new System.Windows.Forms.TextBox();
        this.Label4 = new System.Windows.Forms.Label();
        this.txtMessageSubject = new System.Windows.Forms.TextBox();
        this.Label3 = new System.Windows.Forms.Label();
        this.txtSendTo = new System.Windows.Forms.TextBox();
        this.Label2 = new System.Windows.Forms.Label();
        this.txtMailFrom = new System.Windows.Forms.TextBox();
        this.Label1 = new System.Windows.Forms.Label();
        this.txtServer = new System.Windows.Forms.TextBox();
        this.btnSendEmail = new System.Windows.Forms.Button();
        this.btnLoadFromURL = new System.Windows.Forms.Button();
        this.btnLoadFromFile = new System.Windows.Forms.Button();
        this.Label11 = new System.Windows.Forms.Label();
        this.txtMessageHTML = new System.Windows.Forms.TextBox();
        this.dlg = new System.Windows.Forms.OpenFileDialog();
        this.grpURL = new System.Windows.Forms.GroupBox();
        this.btnOK = new System.Windows.Forms.Button();
        this.btnCancel = new System.Windows.Forms.Button();
        this.txtURL = new System.Windows.Forms.TextBox();
        this.chkUseSSL = new System.Windows.Forms.CheckBox();
        this.GroupBox1.SuspendLayout();
        this.grpURL.SuspendLayout();
        this.SuspendLayout();
        // 
        // GroupBox1
        // 
        this.GroupBox1.Controls.Add(this.Label10);
        this.GroupBox1.Controls.Add(this.Label7);
        this.GroupBox1.Controls.Add(this.txtPOPServer);
        this.GroupBox1.Controls.Add(this.Label8);
        this.GroupBox1.Controls.Add(this.txtPassword);
        this.GroupBox1.Controls.Add(this.Label9);
        this.GroupBox1.Controls.Add(this.txtUsername);
        this.GroupBox1.Controls.Add(this.ddlAuthenticationType);
        this.GroupBox1.Location = new System.Drawing.Point(8, 30);
        this.GroupBox1.Name = "GroupBox1";
        this.GroupBox1.Size = new System.Drawing.Size(288, 116);
        this.GroupBox1.TabIndex = 27;
        this.GroupBox1.TabStop = false;
        this.GroupBox1.Text = "Authentication settings";
        // 
        // Label10
        // 
        this.Label10.AutoSize = true;
        this.Label10.Location = new System.Drawing.Point(59, 18);
        this.Label10.Name = "Label10";
        this.Label10.Size = new System.Drawing.Size(31, 13);
        this.Label10.TabIndex = 14;
        this.Label10.Text = "Type";
        this.Label10.TextAlign = System.Drawing.ContentAlignment.BottomRight;
        // 
        // Label7
        // 
        this.Label7.AutoSize = true;
        this.Label7.Location = new System.Drawing.Point(17, 88);
        this.Label7.Name = "Label7";
        this.Label7.Size = new System.Drawing.Size(69, 13);
        this.Label7.TabIndex = 13;
        this.Label7.Text = "POP3 Server";
        this.Label7.TextAlign = System.Drawing.ContentAlignment.BottomRight;
        // 
        // txtPOPServer
        // 
        this.txtPOPServer.Location = new System.Drawing.Point(96, 88);
        this.txtPOPServer.Name = "txtPOPServer";
        this.txtPOPServer.Size = new System.Drawing.Size(184, 20);
        this.txtPOPServer.TabIndex = 4;
        // 
        // Label8
        // 
        this.Label8.AutoSize = true;
        this.Label8.Location = new System.Drawing.Point(34, 64);
        this.Label8.Name = "Label8";
        this.Label8.Size = new System.Drawing.Size(53, 13);
        this.Label8.TabIndex = 11;
        this.Label8.Text = "Password";
        this.Label8.TextAlign = System.Drawing.ContentAlignment.BottomRight;
        // 
        // txtPassword
        // 
        this.txtPassword.Location = new System.Drawing.Point(96, 64);
        this.txtPassword.Name = "txtPassword";
        this.txtPassword.Size = new System.Drawing.Size(184, 20);
        this.txtPassword.TabIndex = 3;
        // 
        // Label9
        // 
        this.Label9.AutoSize = true;
        this.Label9.Location = new System.Drawing.Point(32, 40);
        this.Label9.Name = "Label9";
        this.Label9.Size = new System.Drawing.Size(55, 13);
        this.Label9.TabIndex = 9;
        this.Label9.Text = "Username";
        this.Label9.TextAlign = System.Drawing.ContentAlignment.BottomRight;
        // 
        // txtUsername
        // 
        this.txtUsername.Location = new System.Drawing.Point(96, 40);
        this.txtUsername.Name = "txtUsername";
        this.txtUsername.Size = new System.Drawing.Size(184, 20);
        this.txtUsername.TabIndex = 2;
        // 
        // ddlAuthenticationType
        // 
        this.ddlAuthenticationType.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
        this.ddlAuthenticationType.Location = new System.Drawing.Point(96, 16);
        this.ddlAuthenticationType.Name = "ddlAuthenticationType";
        this.ddlAuthenticationType.Size = new System.Drawing.Size(184, 21);
        this.ddlAuthenticationType.TabIndex = 1;
        this.ddlAuthenticationType.SelectedIndexChanged += new System.EventHandler(this.ddlAuthenticationType_SelectedIndexChanged);
        // 
        // Label6
        // 
        this.Label6.AutoSize = true;
        this.Label6.Location = new System.Drawing.Point(16, 344);
        this.Label6.Name = "Label6";
        this.Label6.Size = new System.Drawing.Size(37, 13);
        this.Label6.TabIndex = 26;
        this.Label6.Text = "Status";
        this.Label6.TextAlign = System.Drawing.ContentAlignment.BottomRight;
        // 
        // txtStatus
        // 
        this.txtStatus.Location = new System.Drawing.Point(8, 360);
        this.txtStatus.Multiline = true;
        this.txtStatus.Name = "txtStatus";
        this.txtStatus.ScrollBars = System.Windows.Forms.ScrollBars.Both;
        this.txtStatus.Size = new System.Drawing.Size(584, 168);
        this.txtStatus.TabIndex = 25;
        // 
        // Label5
        // 
        this.Label5.AutoSize = true;
        this.Label5.Location = new System.Drawing.Point(24, 224);
        this.Label5.Name = "Label5";
        this.Label5.Size = new System.Drawing.Size(74, 13);
        this.Label5.TabIndex = 23;
        this.Label5.Text = "Message Text";
        this.Label5.TextAlign = System.Drawing.ContentAlignment.BottomRight;
        // 
        // txtMessageText
        // 
        this.txtMessageText.Location = new System.Drawing.Point(104, 224);
        this.txtMessageText.Multiline = true;
        this.txtMessageText.Name = "txtMessageText";
        this.txtMessageText.Size = new System.Drawing.Size(184, 96);
        this.txtMessageText.TabIndex = 8;
        // 
        // Label4
        // 
        this.Label4.AutoSize = true;
        this.Label4.Location = new System.Drawing.Point(8, 200);
        this.Label4.Name = "Label4";
        this.Label4.Size = new System.Drawing.Size(89, 13);
        this.Label4.TabIndex = 21;
        this.Label4.Text = "Message Subject";
        this.Label4.TextAlign = System.Drawing.ContentAlignment.BottomRight;
        // 
        // txtMessageSubject
        // 
        this.txtMessageSubject.Location = new System.Drawing.Point(104, 200);
        this.txtMessageSubject.Name = "txtMessageSubject";
        this.txtMessageSubject.Size = new System.Drawing.Size(184, 20);
        this.txtMessageSubject.TabIndex = 7;
        // 
        // Label3
        // 
        this.Label3.AutoSize = true;
        this.Label3.Location = new System.Drawing.Point(48, 176);
        this.Label3.Name = "Label3";
        this.Label3.Size = new System.Drawing.Size(48, 13);
        this.Label3.TabIndex = 19;
        this.Label3.Text = "Send To";
        this.Label3.TextAlign = System.Drawing.ContentAlignment.BottomRight;
        // 
        // txtSendTo
        // 
        this.txtSendTo.Location = new System.Drawing.Point(104, 176);
        this.txtSendTo.Name = "txtSendTo";
        this.txtSendTo.Size = new System.Drawing.Size(184, 20);
        this.txtSendTo.TabIndex = 6;
        // 
        // Label2
        // 
        this.Label2.AutoSize = true;
        this.Label2.Location = new System.Drawing.Point(40, 152);
        this.Label2.Name = "Label2";
        this.Label2.Size = new System.Drawing.Size(52, 13);
        this.Label2.TabIndex = 17;
        this.Label2.Text = "Mail From";
        this.Label2.TextAlign = System.Drawing.ContentAlignment.BottomRight;
        // 
        // txtMailFrom
        // 
        this.txtMailFrom.Location = new System.Drawing.Point(104, 152);
        this.txtMailFrom.Name = "txtMailFrom";
        this.txtMailFrom.Size = new System.Drawing.Size(184, 20);
        this.txtMailFrom.TabIndex = 5;
        // 
        // Label1
        // 
        this.Label1.AutoSize = true;
        this.Label1.Location = new System.Drawing.Point(56, 6);
        this.Label1.Name = "Label1";
        this.Label1.Size = new System.Drawing.Size(38, 13);
        this.Label1.TabIndex = 15;
        this.Label1.Text = "Server";
        this.Label1.TextAlign = System.Drawing.ContentAlignment.BottomRight;
        // 
        // txtServer
        // 
        this.txtServer.Location = new System.Drawing.Point(104, 6);
        this.txtServer.Name = "txtServer";
        this.txtServer.Size = new System.Drawing.Size(184, 20);
        this.txtServer.TabIndex = 0;
        // 
        // btnSendEmail
        // 
        this.btnSendEmail.Location = new System.Drawing.Point(264, 328);
        this.btnSendEmail.Name = "btnSendEmail";
        this.btnSendEmail.Size = new System.Drawing.Size(75, 23);
        this.btnSendEmail.TabIndex = 24;
        this.btnSendEmail.Text = "Send Email";
        this.btnSendEmail.Click += new System.EventHandler(this.btnSendEmail_Click);
        // 
        // btnLoadFromURL
        // 
        this.btnLoadFromURL.Location = new System.Drawing.Point(456, 288);
        this.btnLoadFromURL.Name = "btnLoadFromURL";
        this.btnLoadFromURL.Size = new System.Drawing.Size(96, 23);
        this.btnLoadFromURL.TabIndex = 31;
        this.btnLoadFromURL.Text = "Load from URL";
        this.btnLoadFromURL.Click += new System.EventHandler(this.btnLoadFromURL_Click);
        // 
        // btnLoadFromFile
        // 
        this.btnLoadFromFile.Location = new System.Drawing.Point(344, 288);
        this.btnLoadFromFile.Name = "btnLoadFromFile";
        this.btnLoadFromFile.Size = new System.Drawing.Size(96, 23);
        this.btnLoadFromFile.TabIndex = 30;
        this.btnLoadFromFile.Text = "Load from file";
        this.btnLoadFromFile.Click += new System.EventHandler(this.btnLoadFromFile_Click);
        // 
        // Label11
        // 
        this.Label11.AutoSize = true;
        this.Label11.Location = new System.Drawing.Point(304, 8);
        this.Label11.Name = "Label11";
        this.Label11.Size = new System.Drawing.Size(83, 13);
        this.Label11.TabIndex = 29;
        this.Label11.Text = "Message HTML";
        this.Label11.TextAlign = System.Drawing.ContentAlignment.BottomRight;
        // 
        // txtMessageHTML
        // 
        this.txtMessageHTML.Location = new System.Drawing.Point(304, 24);
        this.txtMessageHTML.Multiline = true;
        this.txtMessageHTML.Name = "txtMessageHTML";
        this.txtMessageHTML.ScrollBars = System.Windows.Forms.ScrollBars.Both;
        this.txtMessageHTML.Size = new System.Drawing.Size(288, 256);
        this.txtMessageHTML.TabIndex = 9;
        // 
        // grpURL
        // 
        this.grpURL.Controls.Add(this.btnOK);
        this.grpURL.Controls.Add(this.btnCancel);
        this.grpURL.Controls.Add(this.txtURL);
        this.grpURL.Location = new System.Drawing.Point(264, 264);
        this.grpURL.Name = "grpURL";
        this.grpURL.Size = new System.Drawing.Size(288, 88);
        this.grpURL.TabIndex = 32;
        this.grpURL.TabStop = false;
        this.grpURL.Text = "Enter URL";
        this.grpURL.Visible = false;
        // 
        // btnOK
        // 
        this.btnOK.Location = new System.Drawing.Point(64, 56);
        this.btnOK.Name = "btnOK";
        this.btnOK.Size = new System.Drawing.Size(75, 20);
        this.btnOK.TabIndex = 11;
        this.btnOK.Text = "OK";
        this.btnOK.Click += new System.EventHandler(this.btnOK_Click);
        // 
        // btnCancel
        // 
        this.btnCancel.Location = new System.Drawing.Point(144, 56);
        this.btnCancel.Name = "btnCancel";
        this.btnCancel.Size = new System.Drawing.Size(75, 20);
        this.btnCancel.TabIndex = 12;
        this.btnCancel.Text = "Cancel";
        this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
        // 
        // txtURL
        // 
        this.txtURL.Location = new System.Drawing.Point(8, 24);
        this.txtURL.Name = "txtURL";
        this.txtURL.Size = new System.Drawing.Size(272, 20);
        this.txtURL.TabIndex = 25;
        this.txtURL.Text = "http://localhost";
        // 
        // chkUseSSL
        // 
        this.chkUseSSL.AutoSize = true;
        this.chkUseSSL.Location = new System.Drawing.Point(104, 332);
        this.chkUseSSL.Name = "chkUseSSL";
        this.chkUseSSL.Size = new System.Drawing.Size(68, 17);
        this.chkUseSSL.TabIndex = 10;
        this.chkUseSSL.Text = "Use SSL";
        this.chkUseSSL.UseVisualStyleBackColor = true;
        // 
        // frm6_HTML
        // 
        this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
        this.ClientSize = new System.Drawing.Size(600, 533);
        this.Controls.Add(this.chkUseSSL);
        this.Controls.Add(this.grpURL);
        this.Controls.Add(this.btnLoadFromURL);
        this.Controls.Add(this.btnLoadFromFile);
        this.Controls.Add(this.Label11);
        this.Controls.Add(this.txtMessageHTML);
        this.Controls.Add(this.GroupBox1);
        this.Controls.Add(this.Label6);
        this.Controls.Add(this.txtStatus);
        this.Controls.Add(this.Label5);
        this.Controls.Add(this.txtMessageText);
        this.Controls.Add(this.Label4);
        this.Controls.Add(this.txtMessageSubject);
        this.Controls.Add(this.Label3);
        this.Controls.Add(this.txtSendTo);
        this.Controls.Add(this.Label2);
        this.Controls.Add(this.txtMailFrom);
        this.Controls.Add(this.Label1);
        this.Controls.Add(this.txtServer);
        this.Controls.Add(this.btnSendEmail);
        this.Name = "frm6_HTML";
        this.Text = "Sending email (with HTML part)";
        this.Load += new System.EventHandler(this.frm2_Authentication_Load);
        this.GroupBox1.ResumeLayout(false);
        this.GroupBox1.PerformLayout();
        this.grpURL.ResumeLayout(false);
        this.grpURL.PerformLayout();
        this.ResumeLayout(false);
        this.PerformLayout();

    }
    #endregion

    [STAThread]
    static void Main() 
    {
      Application.Run(new frm6_HTML());
    }

    private void btnSendEmail_Click(object sender, System.EventArgs e) {
      txtStatus.Text = "";

      //connection
      oSMTP.Server = txtServer.Text;
      //authentication
      oSMTP.AuthenticationType = (OSSMTP.authentication_type)ddlAuthenticationType.SelectedIndex;
      if (txtUsername.Text != "") oSMTP.Username = txtUsername.Text;
      if (txtPassword.Text != "") oSMTP.Password = txtPassword.Text;
      if (txtPOPServer.Text != "") oSMTP.POPServer = txtPOPServer.Text;
      oSMTP.UseSSL = chkUseSSL.Checked;
      //message
      oSMTP.MailFrom = txtMailFrom.Text;
      oSMTP.SendTo = txtSendTo.Text;
      oSMTP.MessageSubject = txtMessageSubject.Text;
      oSMTP.MessageText = txtMessageText.Text;
      oSMTP.MessageHTML = txtMessageHTML.Text;
      //send email
      oSMTP.SendEmail();
    }

    private void oSMTP_ErrorSMTP(short number, ref string description) {
      txtStatus.Text = txtStatus.Text + "Error " + number + ": " + description + "\r\n";
    }

    private void oSMTP_StatusChanged(string status) {
      txtStatus.Text = txtStatus.Text + status + "\r\n";
    }

    private void frm2_Authentication_Load(object sender, System.EventArgs e)
    {
      ddlAuthenticationType.Items.Add("None");
      ddlAuthenticationType.Items.Add("POP3");
      ddlAuthenticationType.Items.Add("AUTH LOGIN");
      ddlAuthenticationType.Items.Add("AUTH PLAIN");
      ddlAuthenticationType.Items.Add("NTLM");
      ddlAuthenticationType.SelectedIndex = 0;
    }

    private void ddlAuthenticationType_SelectedIndexChanged(object sender, System.EventArgs e)
    {
      switch (ddlAuthenticationType.SelectedIndex) {
        case (int)OSSMTP.authentication_type.AuthNone:
          txtUsername.Enabled = false;
          txtUsername.Text = "";
          txtPassword.Enabled = false;
          txtPassword.Text = "";
          txtPOPServer.Enabled = false;
          txtPOPServer.Text = "";
          break;
        case (int)OSSMTP.authentication_type.AuthPOP:
          txtUsername.Enabled = true;
          txtPassword.Enabled = true;
          txtPOPServer.Enabled = true;
          break;
        case (int)OSSMTP.authentication_type.AuthLogin:
        case (int)OSSMTP.authentication_type.AuthPlain:
          txtUsername.Enabled = true;
          txtPassword.Enabled = true;
          txtPOPServer.Enabled = false;
          txtPOPServer.Text = "";
          break;
      }
    }

    private void btnLoadFromFile_Click(object sender, System.EventArgs e)
    {
    dlg.ShowDialog();
      if (dlg.FileName != "") {
        StreamReader oStreamReader = new StreamReader(dlg.FileName);
        string s = "";
        while (oStreamReader.Peek() > -1)
        s = s + oStreamReader.ReadLine();
        oStreamReader.Close();
          txtMessageHTML.Text = s;
      }
    }

    private void btnLoadFromURL_Click(object sender, System.EventArgs e)
    {
      grpURL.Visible = true;
    }

    private void btnOK_Click(object sender, System.EventArgs e)
    {
      grpURL.Visible = false;
    
      HttpWebRequest oHttpWebRequest = (HttpWebRequest)WebRequest.Create(txtURL.Text);
      HttpWebResponse oHttpWebResponse = (HttpWebResponse)oHttpWebRequest.GetResponse();
      Stream oStream = oHttpWebResponse.GetResponseStream();
      StreamReader oStreamReader = new StreamReader(oStream);
      string s = "";
      while (oStreamReader.Peek() > -1)
        s = s + oStreamReader.ReadLine();
      oStreamReader.Close();
      txtMessageHTML.Text = s;
      oStream.Close();
      oHttpWebResponse.Close();
    }

    private void btnCancel_Click(object sender, System.EventArgs e)
    {
      grpURL.Visible = false;
    }
  }
}